import { defHttp } from '@/utils/http/axios';
enum Api {
  // 分页
  LoadAllPage = '/api/MiMinePoint/LoadAllPage',
  // 实体
  Get = '/api/MiMinePoint/Get',
  // 添加
  Add = '/api/MiMinePoint/Add',
  // 修改
  Update = '/api/MiMinePoint/Update',
  // 删除
  Delete = '/api/MiMinePoint/Delete',
  // 关闭巡查点
  CloseMinePoint = '/api/MiMinePoint/CloseMinePoint',
}
export function LoadAllPage(params) {
  return defHttp.get({
    url: Api.LoadAllPage,
    params,
  });
}
export function Get(params) {
  return defHttp.get({
    url: Api.Get,
    params,
  });
}
export function Add(params) {
  return defHttp.post({
    url: Api.Add,
    params,
  });
}
export function Update(params) {
  return defHttp.post({
    url: Api.Update,
    params,
  });
}
export function Delete(params) {
  return defHttp.post({
    url: Api.Delete,
    params,
  });
}
export function CloseMinePoint(params: { pointid: string; }) {
  return defHttp.post({
    url: `${Api.CloseMinePoint}?pointid=${params.pointid}`,
  });
}